--- old/usr/src/uts/i86pc/sys/vm_machparam.h	2014-04-16 13:35:20.671146524 -0400
+++ new/usr/src/uts/i86pc/sys/vm_machparam.h	2014-04-16 13:35:20.677458344 -0400
@@ -28,8 +28,6 @@
 #ifndef _SYS_VM_MACHPARAM_H
 #define	_SYS_VM_MACHPARAM_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -71,16 +69,6 @@
 #define	DFLSSIZ		(8*1024*1024 + ((USRSTACK) & 0x3FFFFF))
 
 /*
- * The following are limits beyond which the hard or soft limits for stack
- * and data cannot be increased. These may be viewed as fundamental
- * characteristics of the system. Note: a bug in SVVS requires that the
- * default hard limit be increasable, so the default hard limit must be
- * less than these physical limits.
- */
-#define	DSIZE_LIMIT	(USERLIMIT-USRTEXT)	/* physical data limit */
-#define	SSIZE_LIMIT	(USRSTACK)		/* physical stack limit */
-
-/*
  * Size of the kernel segkmem system pte table.  This virtual
  * space is controlled by the resource map "kernelmap".
  */
--- old/usr/src/uts/intel/sys/vmparam.h	2014-04-16 13:35:20.841479438 -0400
+++ new/usr/src/uts/intel/sys/vmparam.h	2014-04-16 13:35:20.848241584 -0400
@@ -67,16 +67,12 @@
 
 #if defined(_KERNEL) && !defined(_ASM)
 extern const unsigned int	_diskrpm;
-extern const unsigned long	_dsize_limit;
-extern const unsigned long	_ssize_limit;
 extern const unsigned long	_pgthresh;
 extern const unsigned int	_maxslp;
 extern const unsigned long	_maxhandspreadpages;
 #endif	/* defined(_KERNEL) && !defined(_ASM) */
 
 #define	DISKRPM		_diskrpm
-#define	DSIZE_LIMIT	_dsize_limit
-#define	SSIZE_LIMIT	_ssize_limit
 #define	PGTHRESH	_pgthresh
 #define	MAXSLP		_maxslp
 #define	MAXHANDSPREADPAGES	_maxhandspreadpages
--- old/usr/src/uts/sparc/sys/vmparam.h	2014-04-16 13:35:21.008583877 -0400
+++ new/usr/src/uts/sparc/sys/vmparam.h	2014-04-16 13:35:21.016233781 -0400
@@ -61,16 +61,12 @@
 
 #if defined(_KERNEL) && !defined(_ASM)
 extern const unsigned int	_diskrpm;
-extern const unsigned long	_dsize_limit;
-extern const unsigned long	_ssize_limit;
 extern const unsigned long	_pgthresh;
 extern const unsigned int	_maxslp;
 extern const unsigned long	_maxhandspreadpages;
 #endif	/* defined(_KERNEL) && !defined(_ASM) */
 
 #define	DISKRPM		_diskrpm
-#define	DSIZE_LIMIT	_dsize_limit
-#define	SSIZE_LIMIT	_ssize_limit
 #define	PGTHRESH	_pgthresh
 #define	MAXSLP		_maxslp
 #define	MAXHANDSPREADPAGES	_maxhandspreadpages
--- old/usr/src/uts/sun4/sys/vm_machparam.h	2014-04-16 13:35:21.174977549 -0400
+++ new/usr/src/uts/sun4/sys/vm_machparam.h	2014-04-16 13:35:21.181648689 -0400
@@ -29,8 +29,6 @@
 #ifndef _SYS_VM_MACHPARAM_H
 #define	_SYS_VM_MACHPARAM_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -54,14 +52,6 @@
 #define	DFLSSIZ		(8*1024*1024)	/* initial stack size limit */
 
 /*
- * DSIZE_LIMIT and SSIZE_LIMIT exist to work-around an SVVS bug (1094085),
- * and should be removed from the kernel (1094089)
- */
-
-#define	DSIZE_LIMIT	(USERLIMIT-USRTEXT)	/* physical data limit */
-#define	SSIZE_LIMIT	(0x7fffffff)	/* physical stack limit */
-
-/*
  * Minimum allowable virtual address space to be used
  * by the seg_map segment driver for fast kernel mappings.
  */
